import { SimklRatingRequest, SimklRating } from '../../models/simkl-rating.model.cjs';
import { SimklClientEndpoint } from '../../models/simkl-client.model.cjs';
import '../../models/simkl-common.model.cjs';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';

/**
 *
 * Get movie, tv show or anime rating
 *
 * Returns rating (between 0 and 10), rank (movie, tv, anime have their own rank), external ratings (IMDB, MAL), drop rate and if we have trailers for the movie or not(add /trailer parameter to the link and the best trailer will be opened).
 *
 * Possible url parameters: see [Redirect method]{@link https://simkl.docs.apiary.io/#reference/redirect/redirect-to-simkl-trailer-or-twitter/redirect}.
 *
 * @auth client
 *
 * @see [ratings]{@link https://simkl.docs.apiary.io/reference/ratings}
 */
declare const ratings: SimklClientEndpoint<SimklRatingRequest, SimklRating, true>;

export { ratings };
