import { SimklClientEndpoint } from '../models/simkl-client.model.js';
import { SimklAuthenticationAuthorizeRequest, SimklAuthenticationTokenRequest, SimklAuthenticationToken, SimklAuthenticationPinCodeRequest, SimklAuthenticationCode, SimklAuthenticationCodeStatusRequest, SimklAuthenticationCodeStatusResponse } from '../models/simkl-authentication.model.js';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';

declare const minimalSimklApi: {
    authentication: {
        authorize: SimklClientEndpoint<SimklAuthenticationAuthorizeRequest, unknown, false>;
        token: SimklClientEndpoint<SimklAuthenticationTokenRequest, SimklAuthenticationToken, false>;
        pin: {
            code: SimklClientEndpoint<SimklAuthenticationPinCodeRequest, SimklAuthenticationCode, false>;
            status: SimklClientEndpoint<SimklAuthenticationCodeStatusRequest, SimklAuthenticationCodeStatusResponse, false>;
        };
    };
};

export { minimalSimklApi };
