"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }




var _chunkPIQLDQGTcjs = require('./chunk-PIQLDQGT.cjs');



var _chunkWQ6NSTT2cjs = require('./chunk-WQ6NSTT2.cjs');

// lib/clients/base-simkl-client.ts
var _basehttpclient = require('@dvcol/base-http-client');
var _client = require('@dvcol/base-http-client/utils/client');
var _http = require('@dvcol/base-http-client/utils/http');
var isResponseOk = (response) => {
  if (response.type === "opaqueredirect") return response;
  if (response.status === 401) throw new (0, _chunkPIQLDQGTcjs.SimklUnauthorizedError)(response.statusText, response);
  if (response.status === 429) throw new (0, _chunkPIQLDQGTcjs.SimklRateLimitError)(response.statusText, response);
  if (!response.ok || response.status >= 400) throw new (0, _chunkPIQLDQGTcjs.SimklApiError)(response.statusText, response);
  return response;
};
var parseResponse = (response) => {
  isResponseOk(response);
  if (response.headers.has(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationItemCount) || response.headers.has(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationPageCount) || response.headers.has(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationLimit) || response.headers.has(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationPage)) {
    response.pagination = {
      itemCount: Number(response.headers.get(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationItemCount)),
      pageCount: Number(response.headers.get(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationPageCount)),
      limit: Number(response.headers.get(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationLimit)),
      page: Number(response.headers.get(_chunkWQ6NSTT2cjs.SimklApiHeader.XPaginationPage))
    };
  }
  return response;
};
var BaseSimklClient = class extends _basehttpclient.BaseClient {
  /**
   * Creates an instance of BaseMalClient.
   * @param options - The options for the client.
   * @param authentication - The authentication for the client.
   * @param api - The API endpoints for the client.
   */
  constructor(options, authentication = {}, api = {}) {
    super(options, authentication, api);
  }
  /**
   * Parses the template to construct the headers for a Mal API request.
   *
   * @protected
   *
   * @template T - The type of the parameters.
   *
   * @param {SimklApiTemplate<T>} template - The template for the API endpoint.
   *
   * @returns {HeadersInit} The parsed request headers.
   *
   * @throws {Error} Throws an error if OAuth is required and the access token is missing.
   */
  _parseHeaders(template) {
    const headers = {
      [_http.BaseApiHeaders.UserAgent]: this.settings.useragent,
      [_http.BaseApiHeaders.ContentType]: _http.BaseHeaderContentType.Json,
      [_chunkWQ6NSTT2cjs.SimklApiHeader.SimklApiKey]: this.settings.client_id
    };
    if (_optionalChain([template, 'access', _ => _.opts, 'optionalAccess', _2 => _2.auth]) === _chunkWQ6NSTT2cjs.SimklApiAuthType.Client && !this.settings.client_id) {
      throw new (0, _chunkPIQLDQGTcjs.SimklInvalidParameterError)("Auth required: client_id is missing");
    }
    if (_optionalChain([template, 'access', _3 => _3.opts, 'optionalAccess', _4 => _4.auth]) === _chunkWQ6NSTT2cjs.SimklApiAuthType.User && !this.auth.access_token) {
      throw new (0, _chunkPIQLDQGTcjs.SimklInvalidParameterError)("OAuth required: access_token is missing");
    }
    if (_optionalChain([template, 'access', _5 => _5.opts, 'optionalAccess', _6 => _6.auth]) && this.auth.access_token) {
      headers[_http.BaseApiHeaders.Authorization] = `Bearer ${this.auth.access_token}`;
    }
    return headers;
  }
  /**
   * Parses the parameters and constructs the URL for a Mal API request.
   *
   * @protected
   *
   * @template T - The type of the parameters.
   *
   * @param template - The template for the API endpoint.
   * @param {T} params - The parameters for the API call.
   *
   * @returns {string} The URL for the Mal API request.
   *
   * @throws {Error} Throws an error if mandatory parameters are missing or if a filter is not supported.
   */
  _parseUrl(template, params) {
    if (template.opts.endpoint) return _client.parseUrl.call(void 0, template, params, template.opts.endpoint);
    const _template = _client.injectCorsProxyPrefix.call(void 0, template, this.settings);
    return _client.parseUrl.call(void 0, _template, params, this.settings.endpoint);
  }
  /**
   * Parses body from a template and stringifies a {@link BodyInit}
   *
   * @protected
   *
   * @template T - The type of the parameters.
   *
   * @param template - The expected body structure.
   * @param {T} params - The actual parameters.
   *
   * @returns {BodyInit} The parsed request body.
   */
  // eslint-disable-next-line class-methods-use-this -- implemented from abstract class
  _parseBody(template, params) {
    if (params.payload) return JSON.stringify(params.payload);
    return _client.parseBody.call(void 0, template, params);
  }
  /**
   * Parses the response from the API before returning from the call.
   * @param response - The response from the API.
   *
   * @returns {SimklApiResponse} The parsed response.
   * @protected
   */
  // eslint-disable-next-line class-methods-use-this -- implemented from abstract class
  _parseResponse(response) {
    return parseResponse(response);
  }
};





exports.isResponseOk = isResponseOk; exports.parseResponse = parseResponse; exports.BaseSimklClient = BaseSimklClient;
