import {
  SimklApiDiscoverExtended,
  SimklApiExtended
} from "./chunk-3HNK4KUT.js";

// lib/api/transforms/simkl-api.transform.ts
var SimklApiTransform = {
  Extends: {
    [SimklApiExtended.Full]: (params) => {
      if (params.extended !== void 0 && typeof params.extended === "boolean") {
        return { ...params, extended: params.extended ? SimklApiExtended.Full : void 0 };
      }
      return params;
    },
    [SimklApiExtended.Discover]: (params) => {
      if (params.extended && Array.isArray(params.extended)) {
        return { ...params, extended: params.extended.join(",") };
      }
      if (params.extended !== void 0 && typeof params.extended === "boolean") {
        return { ...params, extended: params.extended ? SimklApiDiscoverExtended.All.join(",") : void 0 };
      }
      return params;
    }
  }
};

export {
  SimklApiTransform
};
