"use strict";Object.defineProperty(exports, "__esModule", {value: true});// lib/models/simkl-client.model.ts
var _basehttpclient = require('@dvcol/base-http-client');
var SimklApiHeader = {
  /** Simkl api key for the app */
  SimklApiKey: "simkl-api-key",
  /** Current page */
  XPaginationPage: "X-Pagination-Page",
  /** Items per page. */
  XPaginationLimit: "X-Pagination-Limit",
  /** Total number of pages. */
  XPaginationPageCount: "X-Pagination-Page-Count",
  /** Total number of items. */
  XPaginationItemCount: "X-Pagination-Item-Count"
};
var SimklApiExtended = {
  /** Complete info, except discover endpoints */
  Full: "full",
  Discover: "discover",
  Unknown: "unknown"
};
var SimklApiDiscoverExtended = {
  Title: "title",
  Slug: "slug",
  Overview: "overview",
  Metadata: "metadata",
  /** Requires &user-country=us variable, otherwise US country will be taken. */
  Theater: "theater",
  Genres: "genres",
  Tmdb: "tmdb",
  All: ["title", "slug", "overview", "metadata", "theater", "genres", "tmdb"]
};
var SimklApiAuthType = {
  User: "user",
  Client: "client",
  Both: "both"
};
var SimklClientEndpoint = class extends _basehttpclient.ClientEndpoint {
};







exports.SimklApiHeader = SimklApiHeader; exports.SimklApiExtended = SimklApiExtended; exports.SimklApiDiscoverExtended = SimklApiDiscoverExtended; exports.SimklApiAuthType = SimklApiAuthType; exports.SimklClientEndpoint = SimklClientEndpoint;
